'use strict';
 export class DataTypes { 
 static get dataTypes() { 
 return {
  "HMI.SolidColorType": {
    "DataType": "ElementaryType"
  },
  "HMI.GradientColorType": {
    "DataType": "ElementaryType"
  },
  "LREAL": {
    "DataType": "ElementaryType"
  },
  "REAL": {
    "DataType": "ElementaryType"
  },
  "BOOL": {
    "DataType": "ElementaryType"
  },
  "INT": {
    "DataType": "ElementaryType"
  },
  "DINT": {
    "DataType": "ElementaryType"
  },
  "LINT": {
    "DataType": "ElementaryType"
  },
  "BYTE": {
    "DataType": "ElementaryType"
  },
  "WORD": {
    "DataType": "ElementaryType"
  },
  "DWORD": {
    "DataType": "ElementaryType"
  },
  "LWORD": {
    "DataType": "ElementaryType"
  },
  "DATE_AND_TIME": {
    "DataType": "ElementaryType"
  },
  "STRING": {
    "DataType": "ElementaryType"
  },
  "HMI.RowStyle": {
    "Fields": {
      "RowHeight": "STRING",
      "BorderThickness": "LREAL",
      "BorderColor": "HMI.SolidColorType",
      "BackgroundColor": "HMI.GradientColorType",
      "BackgroundColorEven": "HMI.GradientColorType",
      "BackgroundColorFilter": "HMI.GradientColorType",
      "FontName": "STRING",
      "FontSize": "BYTE",
      "TextColor": "HMI.SolidColorType",
      "TextColorFilter": "HMI.SolidColorType",
      "FontItalic": "BOOL",
      "FontBold": "BOOL",
      "FontUnderlined": "BOOL"
    },
    "DataType": "StructureType"
  },
  "HMI.BorderStyleType": {
    "Values": [
      "Solid",
      "Dash",
      "Dot",
      "None"
    ],
    "DisplayValues": [
      "Непрерывный",
      "Пунктир",
      "Точка",
      "Нет"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.TileType": {
    "Values": [
      "No",
      "Tile",
      "Fill",
      "Center"
    ],
    "DisplayValues": [
      "Нет",
      "Мозаика",
      "Заполнение",
      "Центр"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.SaveStateType": {
    "Values": [
      "Default",
      "Yes",
      "No"
    ],
    "DisplayValues": [
      "По умолчанию",
      "Да",
      "Нет"
    ],
    "Indexes": [
      0,
      1,
      2
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.DockType": {
    "Values": [
      "Up",
      "Down",
      "Right",
      "Left"
    ],
    "DisplayValues": [
      "Верх",
      "Низ",
      "Право",
      "Лево"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.HorizontalAlignType": {
    "Values": [
      "Left",
      "Center",
      "Right"
    ],
    "DisplayValues": [
      "Лево",
      "Центр",
      "Право"
    ],
    "Indexes": [
      0,
      1,
      2
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.VerticalAlignType": {
    "Values": [
      "Top",
      "Center",
      "Bottom"
    ],
    "DisplayValues": [
      "Верх",
      "Центр",
      "Низ"
    ],
    "Indexes": [
      0,
      1,
      2
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.MouseCursorKinds": {
    "Values": [
      "Standard",
      "Pointer",
      "Crosshair",
      "Text",
      "NotAllowed",
      "Wait",
      "Help",
      "Move"
    ],
    "DisplayValues": [
      "Стандартный",
      "Рука",
      "Перекрестие",
      "Текст",
      "Запрет",
      "Ожидание",
      "Помощь",
      "Перемещение"
    ],
    "Indexes": [
      0,
      1,
      2,
      3,
      4,
      5,
      6,
      7
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.OrientationType": {
    "Values": [
      "Horizontal",
      "Vertical"
    ],
    "DisplayValues": [
      "Горизонтально",
      "Вертикально"
    ],
    "Indexes": [
      0,
      1
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.HorizontalAlignTypeExt": {
    "Values": [
      "Left",
      "Center",
      "Right",
      "Stretch"
    ],
    "DisplayValues": [
      "Лево",
      "Центр",
      "Право",
      "Растянуть"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.VerticalAlignTypeExt": {
    "Values": [
      "Top",
      "Center",
      "Bottom",
      "Stretch"
    ],
    "DisplayValues": [
      "Верх",
      "Центр",
      "Низ",
      "Растянуть"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "SizeType": {
    "Values": [
      "Pixel",
      "Relative"
    ],
    "DisplayValues": [
      "Абсолютно",
      "Относительно"
    ],
    "Indexes": [
      0,
      1
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "ProportionType": {
    "Values": [
      "No",
      "Width",
      "Height",
      "Min",
      "Max"
    ],
    "DisplayValues": [
      "Нет",
      "По ширине",
      "По высоте",
      "По минимальной стороне",
      "По максимальной стороне"
    ],
    "Indexes": [
      0,
      1,
      2,
      3,
      4
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.SizeToContentType": {
    "Values": [
      "RealSize",
      "SetSize",
      "Crop",
      "Scroll"
    ],
    "DisplayValues": [
      "Исходный размер",
      "Подогнать",
      "Обрезать",
      "Прокрутить"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "UINT": {
    "DataType": "ElementaryType"
  },
  "HMI.OpenDialogPoint": {
    "Values": [
      "ElementOffset",
      "PointerOffset",
      "WindowOffset",
      "Center"
    ],
    "DisplayValues": [
      "Смещение от элемента",
      "Смещение от указателя",
      "По заданным",
      "По центру"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "TIME_OF_DAY": {
    "DataType": "ElementaryType"
  },
  "HMI.KeyboardType": {
    "Values": [
      "English",
      "Russian",
      "NumPad"
    ],
    "DisplayValues": [
      "Английский",
      "Русский",
      "Цифры"
    ],
    "Indexes": [
      0,
      1,
      2
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.KeyboardVisibilityType": {
    "Values": [
      "None",
      "Always",
      "OnFocus"
    ],
    "DisplayValues": [
      "Нет",
      "Всегда",
      "При фокусе"
    ],
    "Indexes": [
      0,
      1,
      2
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.AttachType": {
    "Values": [
      "Control",
      "Parent"
    ],
    "DisplayValues": [
      "Контрол",
      "Родитель"
    ],
    "Indexes": [
      0,
      1
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.LayoutType": {
    "Values": [
      "Up",
      "Down",
      "Left",
      "Right"
    ],
    "DisplayValues": [
      "Верх",
      "Низ",
      "Лево",
      "Право"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.AnchorType": {
    "Values": [
      "None",
      "Up",
      "Down",
      "Right",
      "Left"
    ],
    "DisplayValues": [
      "Нет",
      "Верх",
      "Низ",
      "Право",
      "Лево"
    ],
    "Indexes": [
      0,
      1,
      2,
      3,
      4
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "TIME": {
    "DataType": "ElementaryType"
  },
  "HMI.FilterCombineType": {
    "Values": [
      "Or",
      "And"
    ],
    "DisplayValues": [
      "Или",
      "И"
    ],
    "Indexes": [
      0,
      1
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.FilterCompareType": {
    "Values": [
      "Contains",
      "Equal",
      "More",
      "Less",
      "MoreEqual",
      "LessEqual",
      "NotEqual"
    ],
    "DisplayValues": [
      "Содержит",
      "==",
      ">",
      "<",
      ">=",
      "<=",
      "!="
    ],
    "Indexes": [
      0,
      1,
      2,
      3,
      4,
      5,
      6
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.FilterConditionType": {
    "Values": [
      "Compare",
      "OfType",
      "RelatedTo"
    ],
    "DisplayValues": [
      "Сравнение значений",
      "Принадлежность типу",
      "Отношение к узлу"
    ],
    "Indexes": [
      0,
      1,
      2
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.JOURNALCONDITION": {
    "Fields": {
      "Value": "STRING",
      "CompareType": "HMI.FilterCompareType",
      "MessageField": "STRING",
      "ConditionType": "HMI.FilterConditionType"
    },
    "DataType": "StructureType"
  },
  "HMI.JournalConditions": {
    "TypeOfElementsName": "HMI.JOURNALCONDITION",
    "Subranges": [
      1
    ],
    "DataType": "ArrayType"
  },
  "HMI.JOURNALFILTER": {
    "Fields": {
      "Enabled": "BOOL",
      "CombineType": "HMI.FilterCombineType",
      "CanDisable": "BOOL",
      "Condition": "HMI.JournalConditions"
    },
    "DataType": "StructureType"
  },
  "HMI.JournalFilters": {
    "TypeOfElementsName": "HMI.JOURNALFILTER",
    "Subranges": [
      1
    ],
    "DataType": "ArrayType"
  },
  "HMI.SortType": {
    "Values": [
      "No",
      "Asc",
      "Desc"
    ],
    "DisplayValues": [
      "Нет",
      "По возрастанию",
      "По убыванию"
    ],
    "Indexes": [
      0,
      1,
      2
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "HMI.JOURNALCOLUMN": {
    "Fields": {
      "DisplayName": "STRING",
      "ColumnWidth": "STRING",
      "Field": "STRING",
      "FieldType": "STRING",
      "ValueFormat": "STRING",
      "Sort": "HMI.SortType",
      "SortPosition": "BYTE",
      "Visibility": "BOOL",
      "HorizontalAlign": "HMI.HorizontalAlignType",
      "EnableFilter": "BOOL"
    },
    "DataType": "StructureType"
  },
  "HMI.JournalColumns": {
    "TypeOfElementsName": "HMI.JOURNALCOLUMN",
    "Subranges": [
      5
    ],
    "DataType": "ArrayType"
  },
  "HMI.EventChangeType": {
    "Values": [
      "None",
      "Activated",
      "Deactivated",
      "Acknowledged"
    ],
    "DisplayValues": [
      "Нет",
      "Появление",
      "Исчезновение",
      "Квитирование"
    ],
    "Indexes": [
      0,
      1,
      2,
      3
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  },
  "REF_TO": {
    "DataType": "ElementaryType"
  },
  "UDINT": {
    "DataType": "ElementaryType"
  },
  "HMI.OperationType": {
    "Values": [
      "Move",
      "Add",
      "Sub",
      "Mul",
      "Div"
    ],
    "DisplayValues": [
      "Присвоить",
      "Добавить",
      "Отнять",
      "Умножить",
      "Разделить"
    ],
    "Indexes": [
      0,
      1,
      2,
      3,
      4
    ],
    "Colors": [],
    "DataType": "EnumeratedType"
  }
}

}

}